Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class Document

    java.lang.Object
      com.autonomy.aci.businessobjects.AciBusinessObject
          com.autonomy.aci.businessobjects.Document

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ResultDocument

public class Document
extends AciBusinessObject

Encapsulates the minimum information that a document stored in IDOL must have.

See Also:
  Serialized Form

Constructor Summary
`Document()` Create a `Document` with no properties set.
`Document(java.lang.String sDocRef)` Create a `Document` with the given document reference.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other object is "equal to" this Document.
`java.lang.String` | `getDatabase()` Read database in which this document is stored (the value of its autn:database property).
`java.lang.String` | `getDocReference()` Read the reference for this document (the value of its DREREFERENCE property).
`java.lang.String` | `getTitle()` Read the title for this document (the value of its DRETITLE or autn:title property).
`void` | `setDatabase(java.lang.String sDatabase)` Set the database in which this document is stored in IDOL.
`void` | `setDocReference(java.lang.String sDocRef)` Set reference for this document.
`void` | `setTitle(java.lang.String sTitle)` Set the title for this document.
`java.lang.String` | `toString()`

Methods inherited from class com.autonomy.aci.businessobjects.AciBusinessObject
`getUID, setUID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Document

    public Document()

  Create a `Document` with no properties set.

### Document

    public Document(java.lang.String sDocRef)

  Create a `Document` with the given document reference.

Parameters:
  `sDocRef` - the reference by which the document is uniquely identified within IDOL (the value of its DREREFERENCE).

Method Detail

### setDocReference

    public void setDocReference(java.lang.String sDocRef)

  Set reference for this document.

  Parameters:
    `sDocRef` - the reference by which the document is uniquely identified within IDOL (the value of its DREREFERENCE property).

### setTitle

    public void setTitle(java.lang.String sTitle)

  Set the title for this document.

  Parameters:
    `sTitle` - the title of this document (the value of its DRETITLE or autn:title property).

### setDatabase

    public void setDatabase(java.lang.String sDatabase)

  Set the database in which this document is stored in IDOL.

  Parameters:
    `sDatabase` - database in which this document is stored (the value of its autn:database property).

### getDocReference

    public java.lang.String getDocReference()

  Read the reference for this document (the value of its DREREFERENCE property).

### getTitle

    public java.lang.String getTitle()

  Read the title for this document (the value of its DRETITLE or autn:title property).

### getDatabase

    public java.lang.String getDatabase()

  Read database in which this document is stored (the value of its autn:database property).

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other object is "equal to" this Document. This is taken to mean that their document references are the same.

  Parameters:
    `o` - the reference object with which to compare.
  Returns:
    true if this object has the same reference as the o argument; false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD